Package com.independentsoft.graph.teams

# Class CommunicationsIdentitySet

java.lang.Object
com.independentsoft.graph.teams.CommunicationsIdentitySet

All Implemented Interfaces:
  `ICreatable`, `IUpdatable`

public class CommunicationsIdentitySet extends Object implements ICreatable, IUpdatable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CommunicationsIdentitySet()`
  `CommunicationsIdentitySet​(JsonObject jsonObject)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CommunicationsApplicationIdentity`
  `getApplication()`
  `CommunicationsApplicationInstanceIdentity`
  `getApplicationInstance()`
  `AzureCommunicationServicesUserIdentity`
  `getAzureCommunicationServicesUser()`
  `CommunicationsEncryptedIdentity`
  `getEncrypted()`
  `CommunicationsGuestIdentity`
  `getGuest()`
  `CommunicationsUserIdentity`
  `getOnPremises()`
  `CommunicationsPhoneIdentity`
  `getPhone()`
  `CommunicationsUserIdentity`
  `getUser()`
  `void`
  `setApplication​(CommunicationsApplicationIdentity application)`
  `void`
  `setApplicationInstance​(CommunicationsApplicationInstanceIdentity applicationInstance)`
  `void`
  `setAzureCommunicationServicesUser​(AzureCommunicationServicesUserIdentity azureCommunicationServicesUser)`
  `void`
  `setEncrypted​(CommunicationsEncryptedIdentity encrypted)`
  `void`
  `setGuest​(CommunicationsGuestIdentity guest)`
  `void`
  `setOnPremises​(CommunicationsUserIdentity onPremises)`
  `void`
  `setPhone​(CommunicationsPhoneIdentity phone)`
  `void`
  `setUser​(CommunicationsUserIdentity user)`
  `String`
  `toCreateJson()`
  Converts this object to its JSON representation for creation.
  `String`
  `toUpdateJson()`
  Converts this object to its JSON representation for update.
  `String`
  `toUpdateJson​(List<String> propertyNames)`
  Converts this object to JSON for update with specific properties.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CommunicationsIdentitySet

    public CommunicationsIdentitySet()

  - ### CommunicationsIdentitySet

    public CommunicationsIdentitySet​(JsonObject jsonObject)

- ## Method Details

  - ### toCreateJson

    public String toCreateJson()
    Description copied from interface: `ICreatable`
    Converts this object to its JSON representation for creation.

    This method generates a JSON string containing all properties needed to create a new instance of this resource in Microsoft Graph. Only properties appropriate for creation should be included (e.g., excluding read-only properties like ID, createdTime, etc.).

    Specified by:
      `toCreateJson` in interface `ICreatable`
    Returns:
      JSON string representation for creating this resource

  - ### toUpdateJson

    public String toUpdateJson()
    Description copied from interface: `IUpdatable`
    Converts this object to its JSON representation for update.

    This method generates a JSON string containing all modified properties that should be updated in Microsoft Graph. Only writeable properties with non-null values are typically included.

    Specified by:
      `toUpdateJson` in interface `IUpdatable`
    Returns:
      JSON string representation for updating this resource

  - ### toUpdateJson

    public String toUpdateJson​(List<String> propertyNames)
    Description copied from interface: `IUpdatable`
    Converts this object to JSON for update with specific properties.

    This method generates a JSON string containing only the specified properties. This enables partial updates where only certain fields need to be modified, reducing payload size and avoiding unintended changes to other properties.

    Specified by:
      `toUpdateJson` in interface `IUpdatable`
    Parameters:
      `propertyNames` - List of property names to include in the JSON. If null or empty, all modified properties are included.
    Returns:
      JSON string representation for updating specific properties

  - ### getApplication

    public CommunicationsApplicationIdentity getApplication()

  - ### setApplication

    public void setApplication​(CommunicationsApplicationIdentity application)

  - ### getUser

    public CommunicationsUserIdentity getUser()

  - ### setUser

    public void setUser​(CommunicationsUserIdentity user)

  - ### getPhone

    public CommunicationsPhoneIdentity getPhone()

  - ### setPhone

    public void setPhone​(CommunicationsPhoneIdentity phone)

  - ### getGuest

    public CommunicationsGuestIdentity getGuest()

  - ### setGuest

    public void setGuest​(CommunicationsGuestIdentity guest)

  - ### getEncrypted

    public CommunicationsEncryptedIdentity getEncrypted()

  - ### setEncrypted

    public void setEncrypted​(CommunicationsEncryptedIdentity encrypted)

  - ### getAzureCommunicationServicesUser

    public AzureCommunicationServicesUserIdentity getAzureCommunicationServicesUser()

  - ### setAzureCommunicationServicesUser

    public void setAzureCommunicationServicesUser​(AzureCommunicationServicesUserIdentity azureCommunicationServicesUser)

  - ### getApplicationInstance

    public CommunicationsApplicationInstanceIdentity getApplicationInstance()

  - ### setApplicationInstance

    public void setApplicationInstance​(CommunicationsApplicationInstanceIdentity applicationInstance)

  - ### getOnPremises

    public CommunicationsUserIdentity getOnPremises()

  - ### setOnPremises

    public void setOnPremises​(CommunicationsUserIdentity onPremises)